import { useRef } from 'react';
import { useLoad, useUnload, useAppActive, useAppInactive, } from 'react-native-lifecycle';
export default (effect, ms) => {
    const i = useRef(null);
    const appActive = useRef(true);
    useAppActive(() => {
        appActive.current = true;
    });
    useAppInactive(() => {
        appActive.current = false;
    });
    useLoad(() => {
        i.current = setInterval(() => {
            if (appActive.current) {
                effect();
            }
        }, ms);
    });
    useUnload(() => {
        if (i.current) {
            clearInterval(i.current);
        }
    });
};
